html {
    font-size: 1rem;
    font-family: open sans light;
    margin-left: 2rem;
    margin-right: 2rem;
}

body {
    width: 99.8%;
}


/*Site Header CSS*/

.site-header {
    width: 100%;
    height: 7rem;
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid silver;
    line-height: 4em;
    box-shadow: 0 8px 6px -6px grey;
}

.site-header>img {
    height: 7rem;
    width: 7rem;
    margin: 0rem;
}

.site-name {
    width: 80%;
    font-size: 3rem;
    margin: 0;
    padding-left: .5rem;
    align-self: center;
}

.menu-icon>div {
    width: 35px;
    height: 5px;
    background-color: black;
    margin: 6px 0;
}

.menu-icon {
    align-self: center;
}


/*Site navigation CSS*/

.site-navigation {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 4rem;
    font-size: 1.5rem;
    justify-content: space-around;
    align-items: center;
}

.site-main-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    margin: 0;
}


/*Breaking News CSS*/

.breaking-news {
    width: 100%;
    position: relative;
}

.breaking-news>img {
    width: 100%;
    height: 30rem;
}

.breaking-news>div {
    position: absolute;
    width: 99.6%;
    bottom: .2rem;
    height: auto;
    background: white;
    margin: 0.1rem;
    text-align: justify;
    color: gray;
}

.breaking-news-heading {
    font-size: 1.5rem;
    font-weight: bold;
    padding: .5rem;
}

.breaking-news-text {
    font-size: 1rem;
    margin: 0;
    padding: .5rem;
}


/*Top News CSS*/

.top-news {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.top-news>div {
    width: 100%;
    height: 3rem;
    line-height: 3rem;
    border-bottom: .2rem solid gray;
}

.top-news>div:first-child {
    font-size: 1.5rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}


/*Sports News CSS*/

.sports-news {
    display: grid;
    grid-template-rows: repeat(6, 1fr);
    justify-content: normal;
    width: 100%;
    height: 18rem;
    align-items: center;
}

.sports-news>div {
    height: 3rem;
    line-height: 3rem;
}

.sports-news-content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: space-between;
    align-items: flex-end;
}

.sports-news-title {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: space-between;
    font-size: 1rem;
    text-align: justify;
    color: grey;
}

.score {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 1rem;
    justify-self: start;
}


/*Weather News CSS*/

.weather-news {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 30rem;
}

.weather-news>div {
    width: 100%;
    height: 15rem;
}

.city-weather-forecast {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
}

.city-weather>h4 {
    margin-top: 0rem;
}

.city-weather>h2 {
    display: inline-block;
    font-weight: bold;
    font-size: 3rem;
    vertical-align: text-bottom;
}

.week-days>img {
    justify-content: center;
    width: 7rem;
    height: 7rem;
}

.week-days {
    text-align: center;
}


/*Latest News CSS*/

.latest-news {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.latest-news>div {
    height: 8rem;
}

.latest-news>div:first-child {
    height: 4rem;
}

.latest-news-item>h3 {
    margin-bottom: 0rem;
    margin-top: 0rem;
}

.latest-news-item>p {
    margin-top: .2rem;
    text-align: justify;
}

.latest-news-heading {
    font-size: 1.5rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-bottom: .2rem solid black;
}

.latest-news-item>img {
    float: left;
    width: 5rem;
    height: 5rem;
    padding: .2rem;
}


/*Site Footer CSS*/

.site-footer {
    width: 100%;
    height: 3rem;
    font-size: 1rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    border-top: 1px solid black;
    border-bottom: 1px solid black;
    margin-bottom: 1rem;
}

.site-footer>div {
    padding: 0 .5rem;
}


/* Small devices (portrait tablets and large phones, 480px and up) */

@media only screen and (min-width: 480px) {
    html {
        font-size: .75rem;
    }
    .site-navigation {
        display: none;
    }
    .breaking-news>div {
        background: black;
        color: white;
        opacity: .7;
    }
    .sports-news-items>div:nth-of-type(even) {
        background: silver;
    }
    .sports-news-title {
        background: rgb(92, 138, 138);
        color: white;
        font-weight: bold;
    }
    .latest-news-item>h3 {
        font-size: 1.2rem;
    }
    .latest-news-item>p {
        font-size: .8rem;
    }
}


/* Medium devices (landscape tablets, 768px and up) */

@media only screen and (min-width: 768px) {
    html {
        font-size: .87rem;
    }
    .menu-icon {
        display: none;
    }
    .site-navigation {
        display: flex;
    }
    .breaking-news {
        width: 50%;
        order: -2;
    }
    .site-main-content {
        width: 100%;
        display: inline-flex;
        flex-direction: column;
        flex-flow: row wrap;
        margin: 0;
    }
    .breaking-news>div {
        background: black;
        color: white;
        opacity: .7;
    }
    .breaking-news-heading {
        font-size: 1.5rem;
        font-weight: bold;
        padding: .5rem;
    }
    .breaking-news-text {
        font-size: 1rem;
        margin: 0;
        padding: .5rem;
    }
    .weather-news {
        flex-flow: column wrap;
        width: 50%;
        order: -1;
        height: 30rem;
    }
    .weather-news>div {
        height: 15rem;
    }
    .week-days>img {
        justify-content: center;
        width: 5rem;
        height: 5rem;
    }
    .city-weather>h3,
    h4 {
        margin-top: 0rem;
        margin-bottom: 0rem;
        margin-left: 1.5rem;
    }
    .sports-news-items>div:nth-of-type(even) {
        background: silver;
    }
    .sports-news-title {
        background: rgb(92, 138, 138);
        color: white;
        font-weight: bold;
    }
}


/* Large devices (laptops/desktops, 992px and up) */

@media only screen and (min-width: 992px) {
    html {
        font-size: 1rem;
    }
    .menu-icon {
        display: none;
    }
    .site-navigation {
        display: flex;
    }
    .breaking-news {
        width: 100%;
        order: 0;
    }
    .breaking-news>div {
        background: white;
        color: gray;
        opacity: 1;
    }
    .breaking-news-heading {
        font-size: 2rem;
        font-weight: bold;
        padding: 1rem;
    }
    .breaking-news-text {
        font-size: 1.5rem;
        margin: 0;
        padding: 1rem;
    }
    .weather-news {
        width: 100%;
        order: 0;
        height: 30rem;
    }
    .city-weather>h3,
    h4 {
        margin-top: 0rem;
        margin-bottom: 0rem;
        margin-left: 0rem;
    }
    .weather-news>div {
        height: 15rem;
    }
    .week-days>img {
        width: 7rem;
        height: 7rem;
    }
    .sports-news-content {
        background: white;
        color: black;
    }
    .sports-news-title {
        background: white;
        color: grey;
    }
    .sports-news-items>div:nth-of-type(even) {
        background: white;
    }
}